@charset 'UTF-8';

#nm-shop:has(#nm-shop-sidebar-popup) {
	position: relative;	
}


#nm-shop-sidebar-popup {
	position: absolute;	
	right: auto;
  	margin: 0 calc((100vw - (var(--nm--page-width) - 15px))/2);
  	width: 100%;
	max-width: calc(var(--nm--page-width) - 2*15px);
	-webkit-box-shadow: 0 0 3px rgba(0,0,0,0.3);
	-moz-box-shadow: 0 0 3px rgba(0,0,0,0.3);
	-ms-box-shadow: 0 0 3px rgba(0,0,0,0.3);
	-o-box-shadow: 0 0 3px rgba(0,0,0,0.3);
	box-shadow: 0 0 3px rgba(0,0,0,0.3);
	background: #fff;
}
#nm-shop-sidebar-popup.visible {
	top: 125px;
	bottom: auto;
}
@media (max-width: 1919px) {
	#nm-shop-sidebar-popup {
		margin: 0 calc((100vw - (var(--nm--page-width) - 30px))/2);
	}
}
@media (max-width: 1200px) {
	#nm-shop-sidebar-popup {
		margin: 0 15px;
		max-width: calc(100vw - 2*15px);
	}
}
@media (max-width: 767px) {
	#nm-shop-sidebar-popup {
		height: calc(100vh - (46px + 132px + 2*15px));
	}
	#nm-shop-sidebar-popup.visible {
		top: 15px;
	}
}
@media (max-width: 640px) {
	#nm-shop-sidebar-popup {
		height: calc(100vh - (46px + 68px + 2*15px));
	}
}
@media (max-width: 480px) {
	#nm-shop-sidebar-popup {
		height: calc(100vh - (46px + 52px + 2*15px));
	}
}


/* == close == */
#nm-shop-sidebar-popup [id*="close"] {
	top: 10px;
  	right: auto;
  	left: 10px;
	width: 22px;
	height: 22px;
	font-size: 22px;
}
@media (max-width: 767px) {
	#nm-shop-sidebar-popup [id*="close"] {
		right: 10px;
  		left: auto;
	}
}



/* == sidebar == */
#nm-shop-sidebar-popup .nm-shop-sidebar {
	padding-left: 35px;
	padding-right: 35px;
}




/* SKG: Disabled on 23.01.2026 by request of BIM 
#nm-shop-sidebar-popup .nm-shop-sidebar [class*="-content"] {
	column-gap: 50px;
	grid-template-columns: repeat(3, 1fr);
	display: grid;
}
@media (max-width: 1020px) {
	#nm-shop-sidebar-popup .nm-shop-sidebar [class*="-content"] {
		column-gap: 40px;
	}
}
@media (max-width: 767px) {
	#nm-shop-sidebar-popup .nm-shop-sidebar [class*="-content"] {
		column-gap: 30px;
		grid-template-columns: repeat(1, 1fr);
	}
}

#nm-shop-sidebar-popup .nm-shop-sidebar [class*="-content"] [class*="active"] {
	grid-column: 1 / -1;
}


#nm-shop-sidebar-popup .nm-shop-sidebar [class*="-content"] [class*="active"] ul li {
	margin-bottom: 0;
	padding-top: 1px;
  	padding-bottom: 1px;
	border-color: rgb(var(--main--theme-color-border));
	-webkit-border-radius: 30px;
	-moz-border-radius: 30px;
	-ms-border-radius: 30px;
	-o-border-radius: 30px;
	border-radius: 30px;
	font-size: 12px;
	line-height: 1.2;
}


#nm-shop-sidebar-popup .nm-shop-sidebar [class*="-content"] [class*="active"] ul li button svg {
	width: 20px;
	height: 20px;
}
*/


/* == sidebar filters widget - under 600 == */
#nm-shop-sidebar-popup .nm-shop-sidebar .widget {
	border-top-color: transparent;
}


/* == sidebar filters button - under 600 == */
#nm-shop-sidebar-popup .nm-shop-sidebar .wc-block-product-filters__open-overlay {
	display: none;
}


/* == sidebar filters overlay - under 600 == */
#nm-shop-sidebar-popup .nm-shop-sidebar .wc-block-product-filters__overlay {
	background: inherit;
	color: inherit;
	inset: 0;
	pointer-events: auto;
	position: relative;
	transition: none;
}


#nm-shop-sidebar-popup .nm-shop-sidebar .wc-block-product-filters__overlay-wrapper {
	background: inherit;
	color: inherit;
	height: auto;
	width: auto;
}

#nm-shop-sidebar-popup .nm-shop-sidebar .wc-block-product-filters__overlay-dialog {
	background: inherit;
	color: inherit;
	position: relative;
	transform: none;
}


/* == sidebar filters header - under 600 == */
#nm-shop-sidebar-popup .nm-shop-sidebar .wc-block-product-filters__overlay-header {
	display: none;
}


/* == sidebar filters content - under 600 == */
#nm-shop-sidebar-popup .nm-shop-sidebar .wc-block-product-filters__overlay-content {
	background: inherit;
	color: inherit;
	flex-grow: 1;
	overflow: visible;
	padding: 0;
}


/* == sidebar filters footer - under 600 == */
#nm-shop-sidebar-popup .nm-shop-sidebar .wc-block-product-filters__overlay-footer {
	display: none;
}


/* = active filter selected = */
#nm-shop-sidebar-popup .nm-shop-sidebar [class*="active"] button[class*="button"] {
	-webkit-border-radius: var(--nm--border-radius-button);
	-moz-border-radius: var(--nm--border-radius-button);
	-ms-border-radius: var(--nm--border-radius-button);
	-o-border-radius: var(--nm--border-radius-button);
	border-radius: var(--nm--border-radius-button);
	background-color: #000;
	font-weight: 700;
  	font-size: 12px;
  	line-height: 2;
  	letter-spacing: .2px;
	text-transform: uppercase;
}
#nm-shop-sidebar-popup .nm-shop-sidebar [class*="active"] button[class*="button"]:hover {
	opacity: .82;
}


/* = title = */
#nm-shop-sidebar-popup .nm-shop-sidebar [class*="wp-block-woocommerce-product-filter"] {
	margin: 0;
}


#nm-shop-sidebar-popup .nm-shop-sidebar .nm-block-heading {
	display: inline-block;
	padding-right: 20px;
	padding-top: 5px;
	padding-bottom: 5px;
	min-width: 110px;
	border-bottom: 1px solid rgb(var(--main--theme-color-border));
	font-size: 18px;
	color: rgb(var(--main--theme-color-link));
	vertical-align: top;
}


/* = text = */
#nm-shop-sidebar-popup .nm-shop-sidebar label span[class*="text"] {
	font-weight: 300;
	font-size: 18px;
	color: rgb(var(--main--theme-color-link));
}


/* = price range = */
#nm-shop-sidebar-popup .nm-shop-sidebar [class*="price"]:has(> .range-bar) {
	margin-top: 5px;
	margin-bottom: 5px;
}


#nm-shop-sidebar-popup .nm-shop-sidebar [class*="price"] .range-bar {
	background: linear-gradient(to right,transparent var(--low),rgb(var(--main--theme-color-text)) 0,rgb(var(--main--theme-color-text)) var(--high),transparent 0) no-repeat 0 100% /100% 100%;
}

#nm-shop-sidebar-popup .nm-shop-sidebar [class*="price"] input[type="range"]::-webkit-slider-thumb {
	border-color: rgb(var(--main--theme-color-text)); 
	background: rgb(var(--main--theme-color-text));
}
#nm-shop-sidebar-popup .nm-shop-sidebar [class*="price"] input[type="range"]::-moz-range-thumb {
	border-color: rgb(var(--main--theme-color-text)); 
	background: rgb(var(--main--theme-color-text));
}
#nm-shop-sidebar-popup .nm-shop-sidebar [class*="price"] input[type="range"]::-ms-thumb {
	border-color: rgb(var(--main--theme-color-text)); 
	background: rgb(var(--main--theme-color-text));
}


#nm-shop-sidebar-popup .nm-shop-sidebar [class*="price"] .text input[type="text"] {
	max-width: 100px;
	border: none;
	font-size: 18px;
	font-weight: 300;
	color: rgb(var(--main--theme-color-link));
}

#nm-shop-sidebar-popup .nm-shop-sidebar [class*="price"] .text[class*="right"] input[type="text"] {
	text-align: right;
}


/* = checkbox = */
#nm-shop-sidebar-popup .nm-shop-sidebar [class*="items"] > div {
	margin-bottom: 10px;
}


#nm-shop-sidebar-popup .nm-shop-sidebar  label span[class*="checkbox"]:before {
	width: 15px;
	height: 15px;
	border: 1px solid rgb(var(--main--theme-color-text));
	background-color: #fff;
	opacity: 1;
}

#nm-shop-sidebar-popup .nm-shop-sidebar label span[class*="checkbox"] svg {
	font-size: 1.1em;
}


/* = buttons  = */
#nm-shop-sidebar-popup [class*="popup-buttons"] {
	/* display: flex; */
	display: none;
}


#nm-shop-sidebar-popup [class*="popup-buttons"] [id*="reset"] {
	background-color: rgb(var(--main--theme-color-border));
	-webkit-transition: background-color .2s ease;
	-moz-transition: background-color .2s ease;
	-ms-transition: background-color .2s ease;
	-o-transition: background-color .2s ease;
	transition: background-color .2s ease;
}
#nm-shop-sidebar-popup [class*="popup-buttons"] [id*="reset"]:hover {
	background-color: rgb(var(--main--theme-color-link-hover));
}


/* Change parent theme BS */
.nm-infload-controls.scroll-mode .nm-infload-btn, .nm-infload-controls.loading .nm-infload-btn {
  text-indent: unset;
  overflow: hidden;
}